

package gov.va.med.cds.exception;




public class RuntimeMDBOnMessageException
    extends
        AbstractCdsBaseException
{

    private static final long serialVersionUID = -1322328947811565726L;


    public RuntimeMDBOnMessageException( ErrorCodeEnum errorCode )
    {
        super( errorCode );
    }


    public RuntimeMDBOnMessageException( ErrorCodeEnum errorCode, String... customMsgValues )
    {
        super( errorCode, customMsgValues );
    }


    public RuntimeMDBOnMessageException( ErrorCodeEnum errorCode, Throwable cause )
    {
        super( errorCode, cause );
    }


    public RuntimeMDBOnMessageException( ErrorCodeEnum errorCode, Throwable cause, String... customMsgValues )
    {
        super( errorCode, cause, customMsgValues );
    }

}
